#include "MenuTextSoundVolume.h"

MenuTextSoundVolume::MenuTextSoundVolume()
{
	ani.png = L"sys_obj";
	ani.sprite_index = L"audio";
}

void MenuTextSoundVolume::Step()
{
	if (gameFunc)
	{
		if (gameFunc->GetSoundVolume)
		{
			ani.image_index = gameFunc->GetSoundVolume();
			if (ani.image_index == 0)
			{
				el.flag.text = true;
				el.eid = L"¾²Òô";
			}
			else
			{
				el.flag.text = false;
			}
		}
	}
}

std::shared_ptr<Entity> CreateMenuTextSoundVolume()
{
	return std::make_shared<MenuTextSoundVolume>();
}
